Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.order
Interface OrderConstants

Deprecated

    @Deprecated
    public interface OrderConstants

This class consists of certain constants related to Order

Field Summary
`static int` | `LINE_SHIPPING` Deprecated Constant to denote that the total returned from getTotal() or getLineTotal() should include order line level shipping
`static int` | `LINE_TAX` Deprecated Constant to denote that the total returned from getTotal() or getLineTotal() should include order line level tax
`static int` | `LINE_UNIT_PRICE_TIMES_QUANTITY` Deprecated Constant to denote that the total returned from getTotal() or getLineTotal() should include the sum of unit price times the quanity.
`static int` | `ORDER_SHIPPING` Deprecated Constant to denote that the total returned from getTotal() or getLineTotal() should include order level shipping
`static String` | `ORDER_STATUS_NEW` Deprecated Order status string at the time they are created.

Field Detail

### ORDER_STATUS_NEW

    static final String ORDER_STATUS_NEW

  Deprecated
  Order status string at the time they are created.

  See Also
    Constants Summary

### LINE_UNIT_PRICE_TIMES_QUANTITY

    static final int LINE_UNIT_PRICE_TIMES_QUANTITY

  Deprecated
  Constant to denote that the total returned from getTotal() or getLineTotal() should include the sum of unit price times the quanity.

  See Also
    Constants Summary

### LINE_SHIPPING

    static final int LINE_SHIPPING

  Deprecated
  Constant to denote that the total returned from getTotal() or getLineTotal() should include order line level shipping

  See Also
    Constants Summary

### LINE_TAX

    static final int LINE_TAX

  Deprecated
  Constant to denote that the total returned from getTotal() or getLineTotal() should include order line level tax

  See Also
    Constants Summary

### ORDER_SHIPPING

    static final int ORDER_SHIPPING

  Deprecated
  Constant to denote that the total returned from getTotal() or getLineTotal() should include order level shipping

  See Also
    Constants Summary

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.